Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.util
Class TupleViews

    java.lang.Object
      cascading.tuple.util.TupleViews

    public class TupleViews

extends Object

This class is experimental and for internal use only.

Constructor Summary
`TupleViews()`

Method Summary
`static Tuple` | `createComposite(Fields... fields)`
`static Tuple` | `createComposite(Fields[] fields, Tuple[] tuples)`
`static Tuple` | `createComposite(Tuple... tuples)`
`static Tuple` | `createNarrow(int[] basePos)`
`static Tuple` | `createNarrow(int[] basePos, Tuple tuple)`
`static Tuple` | `createObjectArray()`
`static Tuple` | `createObjectArray(Object... values)`
`static Tuple` | `createOverride(Fields base, Fields override)`
`static Tuple` | `createOverride(Fields base, Tuple baseTuple, Fields override, Tuple overrideTuple)`
`static Tuple` | `createOverride(int[] basePos, Tuple baseTuple, int[] overridePos, Tuple overrideTuple)`
`static
`<V> Tuple`
` | `reset(Tuple tuple, V... values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleViews

    public TupleViews()

Method Detail

### createComposite

    public static Tuple createComposite(Tuple... tuples)

### createComposite

    public static Tuple createComposite(Fields... fields)

### createComposite

    public static Tuple createComposite(Fields[] fields,
                                        Tuple[] tuples)

### createNarrow

    public static Tuple createNarrow(int[] basePos)

### createNarrow

    public static Tuple createNarrow(int[] basePos,
                                     Tuple tuple)

### createOverride

    public static Tuple createOverride(Fields base,
                                       Fields override)

### createOverride

    public static Tuple createOverride(Fields base,
                                       Tuple baseTuple,
                                       Fields override,
                                       Tuple overrideTuple)

### createOverride

    public static Tuple createOverride(int[] basePos,
                                       Tuple baseTuple,
                                       int[] overridePos,
                                       Tuple overrideTuple)

### createObjectArray

    public static Tuple createObjectArray()

### createObjectArray

    public static Tuple createObjectArray(Object... values)

### reset

    public static <V> Tuple reset(Tuple tuple,
                                  V... values)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.